> For the complete documentation index, see [llms.txt](https://developer.smarts.ee/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.smarts.ee/general/request-and-responses/createreceiptrequest.md).

# CreateReceiptRequest

### Object description

| Field         | Type                                                                 | Required | Description                                |
| ------------- | -------------------------------------------------------------------- | -------- | ------------------------------------------ |
| invoiceId     | String                                                               | Yes      | Smarts invoice identifier                  |
| products      | List<[Product](/general/data-object-description/product.md)>         | Yes      | List of products added to shopping cart    |
| shipment      | [Shipment](/general/data-object-description/shipment.md)             | No       | Shipping details for receipt               |
| loyaltyCards  | List<[LoyaltyCard](/general/data-object-description/loyaltycard.md)> | No       | Customer loyalty cards for logged in store |
| langCode      | [LangCode](/general/data-object-description/langcode.md)             | Yes      | Customer language code                     |
| personId      | String                                                               | Yes      | Smarts customer unique person identifier   |
| institutionId | String                                                               | Yes      | Smarts store unique identifier             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.smarts.ee/general/request-and-responses/createreceiptrequest.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
